// Hetzner Cloud Settings
variable "hcloud_mirror" {
  type    = string
  default = "https://mirror.hetzner.com/rockylinux/9"
}

variable "hcloud_token" {
  type      = string
  sensitive = true
}

variable "hcloud_snapshot_description" {
  type    = string
  default = "Rocky Linux 9"
}

variable "hcloud_snapshot_name" {
  type    = string
  default = "rocky-9-cloud"
}

variable "hcloud_location" {
  type    = string
  default = "hel1"
}

variable "hcloud_server_type" {
  type    = string
  default = "cx11"
}

variable "hcloud_server_name" {
  type    = string
  default = "rocky-9-packer"
}

// Virtual Machine Settings
variable "vm_guest_os_language" {
  type        = string
  description = "The guest operating system lanugage."
  default     = "en_US"
}

variable "vm_guest_os_keyboard" {
  type        = string
  description = "The guest operating system keyboard input."
  default     = "us"
}

variable "vm_guest_os_timezone" {
  type        = string
  description = "The guest operating system timezone."
  default     = "America/New_York"
}

// Communicator Settings and Credentials
variable "build_password_encrypted" {
  type        = string
  description = "The encrypted password to login the guest operating system."
  sensitive   = true
}

// Provisioner Settings
variable "build_scripts" {
  type        = list(string)
  description = "A list of scripts and their relative paths to transfer and execute."
  default     = []
}
